Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 974799 - IOError: [Errno 5] Input/output error
Summary: IOError: [Errno 5] Input/output error
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: babel
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:56c59fc5476ae1235a08a0f963b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-16 00:41 UTC by Muhammad Tech
Modified: 2013-10-02 18:45 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-02 18:45:10 UTC
Type: ---


Attachments (Terms of Use)

Description Muhammad Tech 2013-06-16 00:41:06 UTC
Description of problem:
			
The following was filed automatically by anaconda:
anaconda 18.37.11 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/pickle.py", line 857, in load
    key = read(1)
  File "/usr/lib/python2.7/pickle.py", line 1378, in load
    return Unpickler(file).load()
  File "/usr/lib/python2.7/site-packages/babel/localedata.py", line 106, in load
    merge(data, pickle.load(fileobj))
  File "/usr/lib/python2.7/site-packages/babel/localedata.py", line 101, in load
    data = load(parent).copy()
  File "/usr/lib/python2.7/site-packages/babel/core.py", line 231, in _data
    self.__data = localedata.LocaleDataDict(localedata.load(str(self)))
  File "/usr/lib/python2.7/site-packages/babel/core.py", line 293, in languages
    return self._data['languages']
  File "/usr/lib/python2.7/site-packages/babel/core.py", line 250, in get_display_name
    retval = locale.languages.get(self.language)
  File "/usr/lib/python2.7/site-packages/pyanaconda/localization.py", line 83, in display_name
    display_name = self._localedata.display_name or self.english_name
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 142, in initialize
    self._addLanguage(store, trans.display_name,
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 279, in initialize
    LanguageMixIn.initialize(self)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 116, in run
    self._currentAction.initialize()
  File "/sbin/anaconda", line 991, in <module>
    anaconda._intf.run()
IOError: [Errno 5] Input/output error

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=LIVE rootfstype=vfat rw rd.live.image rd.live.overlay=LABEL=LIVE quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.6.10-4.fc18.i686
other involved packages: python-libs-2.7.3-13.fc18.i686, python-babel-0.9.6-5.fc18.noarch
package:        anaconda-18.37.11-1.fc18.i686
packaging.log:  
product:        Fedora
release:        Fedora release 18 (Spherical Cow)
type:           libreport
version:        18

Comment 1 Nils Philippsen 2013-06-19 10:16:32 UTC
Looks like a low-level (i.e. OS level) IO error to me when reading one of the files in /usr/lib/python2.7/site-packages/babel/localedata.

Brian, are live images automatically checksummed, or is this optional?

Comment 2 Nils Philippsen 2013-06-19 10:17:43 UTC
(This bug may have similar causes as bug #951762.)

Comment 3 Brian Lane 2013-06-20 22:52:14 UTC
By default the checksum boot option is selected, but it can be skipped. Seems to be hitting a number of people though.

Comment 4 Nils Philippsen 2013-06-21 09:25:37 UTC
Muhammad, did you check the integrity of the medium from which you attempted the installation?

Anaconda team, why does this bug here not have the log files (as bug #951762)? It's kind of crucial to know if there are related FS errors happening or not ;-).

Comment 5 Felix Schwarz 2013-10-02 18:45:10 UTC
closing because of missing feedback from reporter/can't reproduce.


Note You need to log in before you can comment on or make changes to this bug.